Page MenuHomePhabricator

Add Lexeme data to source text index
Closed, ResolvedPublic

Description

We should add Lexeme data to the text indexed as source (and returned by getTextForSearchIndex content handler method). This allows basic full text search functionality for Lexemes.

The data to be added to index is all the lemmas and all the form representations.

Event Timeline

Smalyshev renamed this task from Add Lexeme data to source text to Add Lexeme data to source text index.May 29 2018, 8:06 PM
Smalyshev triaged this task as Normal priority.
Smalyshev created this task.
Smalyshev updated the task description. (Show Details)May 29 2018, 8:09 PM

Change 436170 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/WikibaseLexeme@master] Add Lexeme data to getTextForSearchIndex

https://gerrit.wikimedia.org/r/436170

Smalyshev moved this task from Backlog to Doing on the User-Smalyshev board.May 29 2018, 11:02 PM
Smalyshev moved this task from Doing to In review on the User-Smalyshev board.May 30 2018, 4:55 PM

Change 436170 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add Lexeme data to getTextForSearchIndex

https://gerrit.wikimedia.org/r/436170

Smalyshev closed this task as Resolved.Jun 8 2018, 11:49 PM
Vvjjkkii renamed this task from Add Lexeme data to source text index to b1baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Smalyshev as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from b1baaaaaaa to Add Lexeme data to source text index.Jul 2 2018, 2:44 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Smalyshev.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.